#ifndef _CLM_GPU_H_
#define _CLM_GPU_H_

#include "clm.h"

#define CLM_MODE_CPU 1
#define CLM_MODE_OPENCL 2

int clm_gpuInit(unsigned int mode);
void clm_gpuDestroy();

void clm_linearInit(clm_Linear *linear);
void clm_linearForward(clm_Linear *linear, unsigned int batchSize, clm_Matrix *inputs);
void clm_linearBackprop(clm_Linear *linear, float learnRate, unsigned int batchSize, clm_Matrix *inputs, bool updateErrors, clm_Matrix *outputErrors);

#endif
